Remove device with the token
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-20 characters | ✓ | Tracking number that identifies the card to update the expiry date |
| tokenUniqueReference | String | 48 characters | ✓ | The unique reference of the token or an empty string to stop all the tokens for the card |
| deviceID | String | ✓ | The unique identifier that represents a specific device where token is linked | |
| deviceIndex | String | ✓ | The index number provided by Visa | |
| comment | String | 1-500 characters | ✓ | Description of the activation or empty string |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>TokenRemoveDeviceBinding</methodName>
<params>
<param>
<value>
<string>0095837XXX</string>
</value>
</param>
<param>
<value>
<string>customerref</string>
</value>
</param>
<param>
<value>
<string>863538900XXX</string>
</value>
</param>
<param>
<value>
<string></string>
</value>
</param>
<param>
<value>
<string>123</string>
</value>
</param>
<param>
<value>
<string>1123</string>
</value>
</param>
<param>
<value>
<string>comment</string>
</value>
</param>
<param>
<value>
<string>txId3</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>19201102T12:01:01</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>800792A6D9BFD31FC93135525AEEDA1D2837B56E</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| clientTransactionID | String | Echo |
| resultCode | Integer | Status code indicating transaction result |
| terminalID | String | Echo |
| customerReference | String | Echo |
| tokenUniqueReference | String | Echo |
| resultText | String | Text indicating transaction result |
| serverTransactionID | String | Transaction id number generated by Paymentology |
| trackingNumber | String | Echo |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>txId3</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0095837XXX</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>customerref</string>
</value>
</member>
<member>
<name>tokenUniqueReference</name>
<value>
<string></string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>670B554D-C694-FDBA-BEEBADXXXXXX</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>86353890000XXX</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
